# $Id: tcpmux.spec,v 1.2 2004/11/02 21:57:50 petef Exp $
# $Compile: rpmbuild -bb %f
# to gen tarball, smsrc to a linux host, cd /usr/src/local/bin;
#	tar czf /usr/src/redhat/SOURCES/tcpmux-LINUX.tar.gz tcpmux

Summary: implement RFC 1078, for inetd's without built-in support
Name: tcpmux
Version: 1.14
Release: 1
Group: SAC
Copyright: BSDL
Packager: Pete Fritchman<petef@sa.fedex.com>
Source: tcpmux-LINUX.tar.gz
%description
The Internet RFC 1078 specification is one of the shortest and clearest
of the lot.  It allows a local site to implement TCP stream based services
with no "well known port" assigned, and almost no coding, by mapping a
shell command to a name.

%prep
%setup -n tcpmux

%install
install -m 755 -o root tcpmux /usr/local/libexec/tcpmux

cat >/etc/xinetd.d/tcpmux <<!
service tcpmux
{
	disable		= YES
	flags           = REUSE
	protocol        = tcp
	socket_type     = stream
	wait            = no
	user            = root
	server          = /usr/local/libexec/tcpmux
}
!

%post
cat <<!
To activate tcpmux, remove the "disable = YES" line from
/etc/xinetd.d/tcpmux and restart xinetd.
!

%files
/etc/xinetd.d/tcpmux
/usr/local/libexec/tcpmux
